This page was not yet optimized for use on mobile devices.
Apple corecrypto User Space Module for Intel (ccv10)
Certificate details
| Certificate ID | #4460 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 28.03.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The Apple corecrypto User Space Module for Intel (ccv10) is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest. |
| Tested configurations |
|
| Vendor | Apple Inc. http://www.apple.com |
| Lab | atsec information security corporation |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-256, CAST5, RC4, RC2, DES, Triple-DES, Blowfish, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
RSAOAEP, ECDH, ECDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5, RIPEMD, PBKDFSchemes
MAC, Key Agreement, Key agreementProtocols
TLSRandomness
DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, Curve P-192, P-192, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSSecurity level
level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS 180-4, FIPS 186-4, FIPS 197, FIPS 198, FIPS186-4, FIPS 1402, SP 800-90A, SP 800-38, SP 800-67, SP 800-132, SP 800-56B, SP 800-38D, PKCS#1, RFC 1321, RFC6637, RFC 5288Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4460,
"dgst": "731e88ce52c6febf",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#A8",
"AES#A10",
"ECDSA#A27",
"RSA#A27",
"AES#A31",
"DRBG#A8",
"DRBG#A21",
"AES#A8",
"AES#A11",
"HMAC#A29",
"SHS#A27",
"HMAC#A22",
"DRBG#A33",
"DRBG#A7",
"ECDSA#A22",
"AES#A7",
"AES#A21",
"RSA#A33",
"ECDSA#A33",
"DRBG#A22",
"RSA#A22",
"HMAC#A33",
"HMAC#A27",
"SHS#A8",
"SHS#A22",
"DRBG#A10",
"SHS#A29",
"AES#A25",
"HMAC#A8",
"AES#A19",
"DRBG#A27",
"DRBG#A31",
"ECDSA#A8",
"RSA#A8",
"SHS#A33"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 39,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDH": {
"ECDH": 1
},
"ECDSA": {
"ECDSA": 15
}
},
"FF": {
"DH": {
"DH": 2,
"Diffie-Hellman": 15
},
"DSA": {
"DSA": 1
}
},
"RSA": {
"RSAOAEP": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 8
},
"CCM": {
"CCM": 5
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 8
},
"OFB": {
"OFB": 3
},
"XTS": {
"XTS": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 3
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 5,
"Key agreement": 1
},
"MAC": {
"MAC": 6
}
},
"device_model": {},
"ecc_curve": {
"Edwards": {
"Ed25519": 2
},
"NIST": {
"Curve P-192": 4,
"P-192": 10,
"P-224": 10,
"P-256": 10,
"P-384": 8,
"P-521": 10
}
},
"eval_facility": {
"atsec": {
"atsec": 2
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-128": 2,
"AES-128/192/256": 2,
"AES-256": 2,
"Certificate RSA": 1,
"HMAC-SHA- 512": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 6,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 4,
"HMAC-SHA1": 4,
"HMAC-SHA256": 2,
"PKCS#1": 13,
"RSA PKCS#1": 1,
"SHA-1": 4,
"SHA-224": 4,
"SHA-256": 4,
"SHA-384": 2,
"SHA-512": 2
}
},
"fips_security_level": {
"Level": {
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 1
}
},
"PBKDF": {
"PBKDF": 6
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 4
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 2,
"SHA-384": 4,
"SHA-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 15
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 23,
"FIPS 1402": 1,
"FIPS 180-4": 2,
"FIPS 186-4": 2,
"FIPS 197": 2,
"FIPS 198": 2,
"FIPS PUB 140-2": 2,
"FIPS186-4": 4
},
"NIST": {
"SP 800-132": 1,
"SP 800-38": 6,
"SP 800-38D": 1,
"SP 800-56B": 2,
"SP 800-67": 1,
"SP 800-90A": 6
},
"PKCS": {
"PKCS#1": 7
},
"RFC": {
"RFC 1321": 1,
"RFC 5288": 1,
"RFC6637": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 14,
"AES-128": 2,
"AES-256": 2
},
"CAST": {
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 11
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 9,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 3,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#A8",
"AES#A10",
"ECDSA#A27",
"RSA#A27",
"AES#A31",
"DRBG#A8",
"DRBG#A21",
"AES#A8",
"AES#A11",
"HMAC#A29",
"SHS#A27",
"HMAC#A22",
"DRBG#A33",
"DRBG#A7",
"ECDSA#A22",
"AES#A7",
"AES#A21",
"RSA#A33",
"ECDSA#A33",
"DRBG#A22",
"RSA#A22",
"HMAC#A33",
"HMAC#A27",
"SHS#A8",
"SHS#A22",
"DRBG#A10",
"SHS#A29",
"AES#A25",
"HMAC#A8",
"AES#A19",
"DRBG#A27",
"DRBG#A31",
"ECDSA#A8",
"RSA#A8",
"SHS#A33"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/CreationDate": "D:20220623213645Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20220623213645Z00\u002700\u0027",
"/Producer": "macOS Version 11.6.6 (Build 20G624) Quartz PDFContext",
"/Title": "Microsoft Word - Apple_Inc_Security_Policy_CC10_for_Intel_user_space_v1.4.doc",
"pdf_file_size_bytes": 3235269,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "eff600fcc444cae5dfcc2a4d0cd794bb020fe6d9cefcee7dce31cf30f2679d72",
"source_hash": "c2d2777b668c23157ba9fc7b90b045afd1b45155eac4024ce0ccb63dc915697f",
"txt_hash": "53bd55fb36711cf2dfd9e38b2d3ba6fc9b3de2c660accbc773d5dea4daf9013f"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/March 2023_030423_0646.pdf",
"date_sunset": null,
"description": "The Apple corecrypto User Space Module for Intel (ccv10) is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Apple corecrypto User Space Module for Intel (ccv10)",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "10.0",
"tested_conf": [
"macOS Catalina 10.15 running on iMac Pro with an Intel Xeon W with PAA",
"macOS Catalina 10.15 running on iMac Pro with an Intel Xeon W without PAA",
"macOS Catalina 10.15 running on Mac mini with an Intel Core i5 with PAA",
"macOS Catalina 10.15 running on Mac mini with an Intel Core i5 without PAA",
"macOS Catalina 10.15 running on MacBook Pro with an Intel Core i7 with PAA",
"macOS Catalina 10.15 running on MacBook Pro with an Intel Core i7 without PAA",
"macOS Catalina 10.15 running on MacBook Pro with an Intel Core i9 with PAA",
"macOS Catalina 10.15 running on MacBook Pro with an Intel Core i9 without PAA",
"macOS Catalina 10.15 running on MacBook with an Intel Core M with PAA",
"macOS Catalina 10.15 running on MacBook with an Intel Core M without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-03-28",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Apple Inc.",
"vendor_url": "http://www.apple.com"
}
}